#ifndef __REMOVEdotH__
#define __REMOVEdotH__

/********************************************************************/

// --remove: Argument is a regex. Scan all files in the --from NFI
// path. If the filename portion of files that fall exactly in the
// --from path match the regex, they are removed.
//
// --remove-recurse: Argument is a regex.Scan all files in the --from
// NFI path, and all filenames that are under that path. If the filename
// portion of the files found match the regex, they are removed.
//
// --remove-dir: Remove all files that fall exactly in the --from NFI
// dir. Files in subdirectories of this path are left alone.
//
// --remove-dir-recurse: Scan for all files in the NFI that exist in the --from
// path, including files that are in subdirectories of that path. Any
// files thus found are removed from the file.
void cmdRemove (NFIFile *nfi , CommandStruct *command , ConfigInfo *config);

// --remove-files: Remove all files given on the command line if their
// name (and possibly relative pathnames, if provided) exist in the
// --from path. 
void cmdRemoveFiles (NFIFile *nfi , CommandStruct *command , ConfigInfo *config);

/********************************************************************/

#endif

