#ifndef __ADDdotH__
#define __ADDdotH__

/********************************************************************/

// --add: Argument is a regex. Scan the local directory --from,
// all filenames that match the regex are added to the NFI archive
// at the internal path --to
//
// --add-recurse: Argument is a regex. Scan the local directory --from,
// all filenames that match the regex are added to the NFI archive
// at the internal path --to. We also recursively scan files in directories
// contained in --from. In this case, the relative path of the files found
// is added to the --to path to come up with the final destination in 
// the file.
//
// --add-files: Take all files specified on the command line and add them
// to the archive starting at the --to path. The path of the files given is
// added to the --to path to come up with the final destination. If a file
// given on the command line is a directory, it will be recursed into.
//
// --add-dir: Add all files underneath the --from path
// to the NFI archive at the --to path. 
//
// --add-dir-recurse: Add all files and directories underneath the --from path
// to the NFI archive starting at the --to path. The relative path of
// recursed files is added to the --to path to come up with the final destination
void cmdAdd (NFIFile *nfi , CommandStruct *command , ConfigInfo *config);


/********************************************************************/

#endif

