#ifndef __COMMANDSdotH__
#define __COMMANDSdotH__

/********************************************************************/

// Validate the given command, and return back true or false to indicate
// if the command is valid or not.
//
// This only checks that a command has sensible values. It doesn't check,
// for example, if we're going to try to delete something from a file that
// doesn't exist and so on.
SDL_bool validateCommand (CommandStruct *command , int index , int cmdlineCount);

// Given an NFIFile and configuration information, this will execute all of the
// commands one by one. This presumes that the commands entered in config have
// been checked to ensure that all needed parameters are provided.
void performCommands (NFIFile *sourceFile , ConfigInfo *config);

/********************************************************************/

#endif

